cascading.tuple.coerce

## Class Coercions.Coerce<T>

- java.lang.Object
- - cascading.tuple.coerce.Coercions.Coerce<T>

- All Implemented Interfaces:
    CoercibleType<T>, java.io.Serializable, java.lang.reflect.Type
  Direct Known Subclasses:
    BigDecimalCoerce, BooleanCoerce, BooleanObjectCoerce, CharacterCoerce, CharacterObjectCoerce, DoubleCoerce, DoubleObjectCoerce, FloatCoerce, FloatObjectCoerce, IntegerCoerce, IntegerObjectCoerce, LongCoerce, LongObjectCoerce, ObjectCoerce, ShortCoerce, ShortObjectCoerce, StringCoerce
  Enclosing class:
    Coercions

      public abstract static class Coercions.Coerce<T>
      extends java.lang.Object
      implements CoercibleType<T>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Coercions.Coerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `canonical(java.lang.Object value)`
    `abstract T` | `coerce(java.lang.Object value)`
    `<Coerce> Coerce` | `coerce(java.lang.Object value, java.lang.reflect.Type to)`
    `boolean` | `equals(java.lang.Object object)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.tuple.type.CoercibleType

      `getCanonicalType`

- - ### Constructor Detail

    - #### Coercions.Coerce

          protected Coercions.Coerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> map)

  - ### Method Detail

    - #### canonical

          public T canonical(java.lang.Object value)

      Specified by:
        `canonical` in interface `CoercibleType<T>`
      Parameters:
        `value` - of type Object
      Returns:
        the value coerced into its canonical type

    - #### coerce

          public <Coerce> Coerce coerce(java.lang.Object value,
                               java.lang.reflect.Type to)

      Specified by:
        `coerce` in interface `CoercibleType<T>`
      Parameters:
        `value` - of type Object
        `to` - of type Type
      Returns:
        the value coerced into the requested type

    - #### coerce

          public abstract T coerce(java.lang.Object value)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.